
Ruby - Bug #19031

Ruby 3.1.0 has issue "[BUG] Segmentation fault at 0x0000000000000000"

09/29/2022 09:42 AM - derek.nguyen.269@gmail.com (Derek Nguyen)

Status: Feedback   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: 3.1.0 Backport: 2.7: UNKNOWN, 3.0: UNKNOWN, 3.1:

UNKNOWN

Description

I've run on ECS with Rails 7 and ruby 3.1.0. Today I've got the error bellow. Can you guys help me?

 2022-09-29 15:38:3708:38:37 sidekiq.1 | 3 rational.so

2022-09-29 15:38:3708:38:37 sidekiq.1 | 4 complex.so

2022-09-29 15:38:3708:38:37 sidekiq.1 | 5 ruby2_keywords.rb

2022-09-29 15:38:3708:38:37 sidekiq.1 | 6 /usr/local/lib/ruby/3.1.0/x86_64-linux-musl/enc/encdb.so

2022-09-29 15:38:3708:38:37 sidekiq.1 | /tmp/bundle/ruby/3.1.0/gems/promise_pool-0.9.2/lib/promise

_pool/promise.rb:148:in `timeout_protected_yield'

2022-09-29 15:38:3708:38:37 sidekiq.1 | /tmp/bundle/ruby/3.1.0/gems/promise_pool-0.9.2/lib/promise

_pool/timer.rb:43:in `on_timeout'

2022-09-29 15:38:3708:38:37 sidekiq.1 | /tmp/bundle/ruby/3.1.0/gems/promise_pool-0.9.2/lib/promise

_pool/timer.rb:54:in `start'

2022-09-29 15:38:3708:38:37 sidekiq.1 | /tmp/bundle/ruby/3.1.0/gems/timers-4.3.3/lib/timers/group.

rb:60:in `after'

2022-09-29 15:38:3708:38:37 sidekiq.1 | /tmp/bundle/ruby/3.1.0/gems/timers-4.3.3/lib/timers/group.

rb:60:in `new'

2022-09-29 15:38:3708:38:37 sidekiq.1 | /tmp/bundle/ruby/3.1.0/gems/timers-4.3.3/lib/timers/timer.

rb:44:in `initialize'

2022-09-29 15:38:3708:38:37 sidekiq.1 | /tmp/bundle/ruby/3.1.0/gems/timers-4.3.3/lib/timers/timer.

rb:100:in `reset'

2022-09-29 15:38:3708:38:37 sidekiq.1 | /usr/local/lib/ruby/3.1.0/set.rb:522:in `add'

2022-09-29 15:38:3708:38:37 sidekiq.1 |

2022-09-29 15:38:3708:38:37 sidekiq.1 | -- Machine register context ------------------------------

------------------

2022-09-29 15:38:3708:38:37 sidekiq.1 | RIP: 0x00007f5ef0636130 RBP: 0x00007f5ecdea2e90 RSP: 0x000

07f5ec4e45af8

2022-09-29 15:38:3708:38:37 sidekiq.1 | RAX: 0xff80004c08c00202 RBX: 0x0000000000000000 RCX: 0x000

07f5ecdea2e18

2022-09-29 15:38:3708:38:37 sidekiq.1 | RDX: 0x0000000000000020 RDI: 0x0000000000002020 RSI: 0x000

00000000000ff

2022-09-29 15:38:3708:38:37 sidekiq.1 | R8: 0xff80004c08c00002 R9: 0x00007f5ec4e45b20 R10: 0x00000

00000000000

2022-09-29 15:38:3708:38:37 sidekiq.1 | R11: 0x0000000000000000 R12: 0x0000000000000ff1 R13: 0x000

0000000000ff1

2022-09-29 15:38:3708:38:37 sidekiq.1 | R14: 0x00007f5ecdea2e18 R15: 0x00007f5ec4e45b20 EFL: 0x000

0000000010282

2022-09-29 15:38:3708:38:37 sidekiq.1 |

2022-09-29 15:38:3708:38:37 sidekiq.1 | -- Other runtime information -----------------------------

------------------

2022-09-29 15:38:3708:38:37 sidekiq.1 |

2022-09-29 15:38:3708:38:37 sidekiq.1 | * Loaded script: sidekiq 6.4.0 app [1 of 20 busy]

2022-09-29 15:38:3708:38:37 sidekiq.1 |

2022-09-29 15:38:3708:38:37 sidekiq.1 | c:0006 p:0029 s:0027 E:0001e0 METHOD /tmp/bundle/ruby/3.1.

0/gems/promise_pool-0.9.2/lib/promise_pool/timer.rb:54

2022-09-29 15:38:3708:38:37 sidekiq.1 | c:0005 p:0010 s:0021 e:000020 METHOD /tmp/bundle/ruby/3.1.

0/gems/promise_pool-0.9.2/lib/promise_pool/timer.rb:43

2022-09-29 15:38:3708:38:37 sidekiq.1 | c:0004 p:0013 s:0016 E:002670 METHOD /tmp/bundle/ruby/3.1.

0/gems/promise_pool-0.9.2/lib/promise_pool/promise.rb:148

2022-09-29 15:38:3708:38:37 sidekiq.1 | c:0003 p:0009 s:0012 E:0005c0 METHOD /tmp/bundle/ruby/3.1.

0/gems/promise_pool-0.9.2/lib/promise_pool/promise.rb:136

2022-09-29 15:38:3708:38:37 sidekiq.1 | c:0002 p:0022 s:0006 E:002490 BLOCK /tmp/bundle/ruby/3.1.0
/gems/promise_pool-0.9.2/lib/promise_pool/promise.rb:49 [FINISH]

2022-09-29 15:38:3708:38:37 sidekiq.1 | c:0001 p:---- s:0003 e:000002 (none) [FINISH]

2022-09-29 15:38:3708:38:37 sidekiq.1 |

2022-09-29 15:38:3708:38:37 sidekiq.1 | -- Ruby level backtrace information ----------------------

------------------

2022-09-29 15:38:3708:38:37 sidekiq.1 | /tmp/bundle/ruby/3.1.0/gems/promise_pool-0.9.2/lib/promise

_pool/promise.rb:49:in `block in defer'

2022-09-29 15:38:3708:38:37 sidekiq.1 | /tmp/bundle/ruby/3.1.0/gems/promise_pool-0.9.2/lib/promise

_pool/promise.rb:136:in `protected_yield'

2022-09-29 15:38:3708:38:37 sidekiq.1 | /usr/local/lib/ruby/3.1.0/set.rb:522: [BUG] Segmentation f

ault at 0x0000000000000000

2022-09-29 15:38:3708:38:37 sidekiq.1 | ruby 3.1.0p0 (2021-12-25 revision fb4df44d16) [x86_64-linu

x-musl]

History

#1 - 09/29/2022 02:45 PM - jeremyevans0 (Jeremy Evans)

- Status changed from Open to Feedback

Does this issue occur with Ruby 3.1.2?

Files
